export declare enum PlannedResourceAction {
    CREATE = "create",
    CHANGE = "change",
    DESTROY = "destroy",
    READ = "read",
    NO_OP = "no-op"
}
export interface PlannedResource {
    id: string;
    action: PlannedResourceAction;
}
export interface ResourceChangesChange {
    actions: string[];
    before: {
        [key: string]: any;
    };
    after: {
        [key: string]: any;
    };
}
export interface ResourceChanges {
    address: string;
    module_address: string;
    mode: string;
    type: string;
    name: string;
    index: number;
    provider_name: string;
    change: ResourceChangesChange;
}
export declare class TerraformPlan {
    readonly plan: {
        [key: string]: any;
    };
    constructor(plan: {
        [key: string]: any;
    });
    get resources(): PlannedResource[];
}
export declare class Terraform {
    readonly workdir: string;
    constructor(workdir: string);
    init(): Promise<void>;
    plan(): Promise<TerraformPlan>;
    private exec;
}
